#include <time.h>
#include <iostream>
#include <string>

   using namespace std;

   istream& getline2 (istream& is, string& str, char delim = '\n')
   {
      int c;
   
      str.erase();
      c = is.rdbuf()->sbumpc();
   
      string::size_type i = 0;
      string::size_type end = str.max_size();
   
      while (c != EOF)
      {
         i++;
         if ((char)c == delim)
            break;
         if (i == end)
         {
            is.clear(ios::failbit | is.rdstate());      
            break;
         }
      
         str.append(1,(char)c);
         c = is.rdbuf()->sbumpc();
      }
      if (c == EOF) 
         is.clear(ios::eofbit | is.rdstate());      
      if (!i)
         is.clear(ios::failbit | is.rdstate());      
   
      return is;
   }  

   int main (int argc, char *argv[])
   {
      const int max = 5;
      string	line;
      int	loc[max] = {0, 0, 0, 0, 0};
      int 	size;
   
      while (!getline2 (cin, line).eof()) {
         loc[0]++;
         size = line.size();
         for (int i = 0, n = 0; i < size; i++) {
            if ((line[i] == ' ') || (line[i] == '\t')) {
               continue;
            }
            loc[++n]++;
            if (n >= max - 1) {
               break;
            }
         }
      }
      cout << loc[0] << " (tot), " << loc[2] << " (>1 char), " <<
         loc[3] << " (>2 char), "<< loc[4] << " (>3 char) " <<  endl;
   
      return 0;
   }
